matrix:
  bazel:
    - 6.x
    - 7.x
  platform:
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@nanobind_bazel//...'
